Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.util
Interface Deque<E>

Type Parameters:
  `E` -

All Superinterfaces:
  java.util.Collection<E>, java.lang.Iterable<E>, java.util.Queue<E>

All Known Implementing Classes:
  PriorityDeque

    public interface Deque<E>

extends java.util.Queue<E>

Author:
  Bram Lohman, Bart Kiers

Method Summary
`boolean` | `add(E e)`
`void` | `addFirst(E e)`
`void` | `addLast(E e)`
`boolean` | `contains(java.lang.Object o)`
`java.util.Iterator<E>` | `descendingIterator()`
`E` | `element()`
`E` | `getFirst()`
`E` | `getLast()`
`java.util.Iterator<E>` | `iterator()`
`boolean` | `offer(E e)`
`boolean` | `offerFirst(E e)`
`boolean` | `offerLast(E e)`
`E` | `peek()`
`E` | `peekFirst()`
`E` | `peekLast()`
`E` | `poll()`
`E` | `pollFirst()`
`E` | `pollLast()`
`E` | `pop()`
`void` | `push(E e)`
`E` | `remove()`
`boolean` | `remove(java.lang.Object o)`
`E` | `removeFirst()`
`boolean` | `removeFirstOccurrence(java.lang.Object o)`
`E` | `removeLast()`
`boolean` | `removeLastOccurrence(java.lang.Object o)`
`int` | `size()`

Methods inherited from interface java.util.Collection
`addAll, clear, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, toArray, toArray`

Method Detail

### addFirst

    void addFirst(E e)

  Parameters:
    `e` -

### addLast

    void addLast(E e)

  Parameters:
    `e` -

### offerFirst

    boolean offerFirst(E e)

  Parameters:
    `e` -
  Returns:
    -

### offerLast

    boolean offerLast(E e)

  Parameters:
    `e` -
  Returns:
    -

### removeFirst

    E removeFirst()

  Returns:
    -

### removeLast

    E removeLast()

  Returns:
    -

### pollFirst

    E pollFirst()

  Returns:
    -

### pollLast

    E pollLast()

  Returns:
    -

### getFirst

    E getFirst()

  Returns:
    -

### getLast

    E getLast()

  Returns:
    -

### peekFirst

    E peekFirst()

  Returns:
    -

### peekLast

    E peekLast()

  Returns:
    -

### removeFirstOccurrence

    boolean removeFirstOccurrence(java.lang.Object o)

  Parameters:
    `o` -
  Returns:
    -

### removeLastOccurrence

    boolean removeLastOccurrence(java.lang.Object o)

  Parameters:
    `o` -
  Returns:
    -

### add

    boolean add(E e)

  Specified by:
    `add` in interface `java.util.Collection<E>`
  Specified by:
    `add` in interface `java.util.Queue<E>`

### offer

    boolean offer(E e)

  Specified by:
    `offer` in interface `java.util.Queue<E>`

### remove

    E remove()

  Specified by:
    `remove` in interface `java.util.Queue<E>`

### poll

    E poll()

  Specified by:
    `poll` in interface `java.util.Queue<E>`

### element

    E element()

  Specified by:
    `element` in interface `java.util.Queue<E>`

### peek

    E peek()

  Specified by:
    `peek` in interface `java.util.Queue<E>`

### push

    void push(E e)

  Parameters:
    `e` -

### pop

    E pop()

  Returns:
    -

### remove

    boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection<E>`

### contains

    boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection<E>`

### size

    int size()

  Specified by:
    `size` in interface `java.util.Collection<E>`

### iterator

    java.util.Iterator<E> iterator()

  Specified by:
    `iterator` in interface `java.util.Collection<E>`
  Specified by:
    `iterator` in interface `java.lang.Iterable<E>`

### descendingIterator

    java.util.Iterator<E> descendingIterator()

  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD